JTS Topology Suite version 1.13

## com.vividsolutions.jts.util
Class UniqueCoordinateArrayFilter

    java.lang.Object
      com.vividsolutions.jts.util.UniqueCoordinateArrayFilter

All Implemented Interfaces:
  CoordinateFilter

    public class UniqueCoordinateArrayFilter

extends java.lang.Object
implements CoordinateFilter

A `CoordinateFilter` that builds a set of `Coordinate`s. The set of coordinates contains no duplicate points.

Version:
  1.7

Constructor Summary
`UniqueCoordinateArrayFilter()`

Method Summary
`void` `filter(Coordinate coord)` Performs an operation with or on `coord`.
`Coordinate[]` `getCoordinates()` Returns the gathered `Coordinate`s.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniqueCoordinateArrayFilter

    public UniqueCoordinateArrayFilter()

Method Detail

### getCoordinates

    public Coordinate[] getCoordinates()

  Returns the gathered `Coordinate`s.

  Returns:
    the `Coordinate`s collected by this `CoordinateArrayFilter`

### filter

    public void filter(Coordinate coord)

  Description copied from interface: `CoordinateFilter`
  Performs an operation with or on `coord`.

  Specified by:
    `filter` in interface `CoordinateFilter`
  Parameters:
    `coord` - a `Coordinate` to which the filter is applied.

JTS Topology Suite version 1.13